#
# spec file for package rubygem-jquery-rails
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-jquery-rails
Version:        4.5.1
Release:        1.3
%define mod_name jquery-rails
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.9.3}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/rails/jquery-rails
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Use jQuery with Rails 4+
License:        MIT
Group:          Development/Languages/Ruby

%description
This gem provides jQuery and the jQuery-ujs driver for your Rails 4+
application.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 4.5.1
  see installed CHANGELOG.md
  [#]# unreleased
  - update jquery to 3.6.1
  - update jquery-usj to 1.2.3
* Mon Jun 13 2022 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 4.5.0
  * update jquery to 3.6.0
* Mon May 11 2020 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 4.4.0
  * update jquery to 3.5.1 (note: [3.5.0 contains important security updates](https://github.com/advisories/GHSA-jpcq-cgw6-v4j6))
  * unescape dollar signs and backticks in `assert_select_jquery` to match
    Rails updated behavior.
* Mon Jul  8 2019 Manuel Schnitzer <mschnitzer@suse.com>
- updated to version 4.3.5
  [#]# 4.3.5
  - update jquery to 3.4.1
  [#]# 4.3.4
  - update jquery to 3.4.0
* Wed Apr 18 2018 factory-auto@kulow.org
- updated to version 4.3.3
  see installed CHANGELOG.md
  [#]# 4.3.3
  - update jquery to 3.3.1
  [#]# 4.3.2
  - update jquery to 3.3.0
  - Add possibility to test HTML: all, attribute prefix, attribute contains,
    attribute ends with, child, and class selectors
  - Fix matching mutiple calls for the same selector/function exception
* Wed Mar 22 2017 coolo@suse.com
- updated to version 4.3.1
  see installed CHANGELOG.md
  [#]# 4.3.1
  - update jquery to 3.2.1
  [#]# 4.3.0
  - update jquery to 3.2.0
  - Add possibility to test HTML attribute selectors
* Thu Dec 29 2016 coolo@suse.com
- updated to version 4.2.2
  see installed CHANGELOG.md
* Sat Aug 20 2016 coolo@suse.com
- updated to version 4.2.1
  see installed CHANGELOG.md
  [#]# 4.2.0
  - Update jQuery to 3.1.0
  [#]# 4.2.0
  - Support jQuery 3.x
  - Update jquery-ujs to 1.2.2
  - Update jQuery to 1.12.4 and 2.2.4
* Thu Mar 10 2016 coolo@suse.com
- updated to version 4.1.1
  see installed CHANGELOG.md
  [#]# 4.1.1
  - Update jQuery to 1.12.1 and 2.2.1
  - Update jquery-ujs to 1.2.1
* Thu Jan 14 2016 coolo@suse.com
- updated to version 4.1.0
  see installed CHANGELOG.md
  [#]# 4.1.0
  - Update jQuery to 1.12.0 and 2.2.0
  - Update jquery-ujs to 1.2.0
  [#]# 4.0.5
  - Specify that Ruby version 1.9.3+ is required
  - Test on Ruby 2.2
  - Update jquery-ujs from 1.0.4 to 1.1.0
* Wed Sep  2 2015 coolo@suse.com
- updated to version 4.0.5
  see installed CHANGELOG.md
  [#]# 3.1.3 (16 June 2015)
  - Fix CSP bypass vulnerability. CVE-2015-1840
* Wed Jun 17 2015 coolo@suse.com
- updated to version 4.0.4
  see installed CHANGELOG.md
  [#]# 4.0.4
  - Fix CSP bypass vulnerability. CVE-2015-1840
* Mon Feb  9 2015 coolo@suse.com
- updated to version 4.0.3
  - Fix RubyGems permission problem.
  [#]# 4.0.0
  - Minimum dependency set to Rails 4.2
  - Updated to jquery-ujs 1.0.2
  - Support jQuery 1.x and 2.x
  [#]# 3.1.2 (1 September 2014)
  - Updated to jquery-ujs 1.0.1
* Wed Nov 26 2014 tboerger@suse.com
- Added last missing new macro bits with gem2rpm
* Sun Oct 12 2014 adrian@suse.de
- adpat to new rubygem packaging style
* Mon Jul 28 2014 coolo@suse.com
- updated to version 3.1.1
  - Updated to jQuery 1.11.1
  - Updated to jquery-ujs 1.0.0
* Thu Feb  6 2014 coolo@suse.com
- updated to version 3.1.0
  - Updated to jQuery 1.11.0
  - Updated to latest jquery-ujs
  - Added development rake task for updating jQuery
* Sat Jul 20 2013 coolo@suse.com
- updated to version 3.0.4
  - Updated to jQuery 1.10.2
  - Updated to latest jquery-ujs
* Sat Jun  8 2013 coolo@suse.com
- updated to version 3.0.1
  - Updated to jQuery 1.10.1
  - Removed jQuery UI from generator
* Wed May 29 2013 coolo@suse.com
- updated to version 3.0.0
  - Removed jQuery UI
  - Updated to jQuery 1.10.0
  - Updated to latest jquery-ujs
* Tue Feb 12 2013 coolo@suse.com
- updated to version 2.2.1
  - Updated to jQuery 1.9.1
  - Updated to latest jquery-ujs
* Fri Jan 25 2013 coolo@suse.com
- updated to version 2.2.0
  - Updated to jQuery 1.9.0
  - Updated to latest jquery-ujs
* Mon Nov 26 2012 coolo@suse.com
- updated to version 2.1.4
  - Updated to jQuery 1.8.3
  - Updated to jQuery UI 1.9.2
  - Rails 4 compatibility
  - Rails 3.0 compatibility
  - Rails 3.1 (without asset pipeline) compatibility
* Tue Sep 25 2012 coolo@suse.com
- updated to version 2.1.3
  - Updated to jquery 1.8.2
* Fri Sep  7 2012 coolo@suse.com
- updated to version 2.1.2
  - Updated to latest jquery-ujs
  - required radio bugfix
  - Updated to jQuery 1.8.1
* Sun Aug 26 2012 coolo@suse.com
- updated to version 2.1.1
  - Updated to latest jquery-ujs
  - ajax:aborted:file bugfixes
  - Updated to latest jquery-ujs
  - jQuery 1.8.0 compatibility
  - Updated to jQuery 1.8.0
  - Updated to jQuery UI 1.8.23
  - Updated to latest jquery-ujs
  - created `rails:attachBindings` to allow for customization of $.rails object settings
  - created `ajax:send` event to provide access to jqXHR object from ajax requests
  - added support for `data-with-credentials`
* Sat Jul 28 2012 coolo@suse.com
- update to 2.0
* Wed Aug 31 2011 fcastelli@suse.com
- update to version 1.0.13
* Wed Aug  3 2011 fcastelli@novell.com
- Package version 1.0.12
* Tue May 17 2011 mrueckert@suse.de
- initial package 1.0.3
